## golang-github-golang-geo 0.0~git20170112.0.f819552

=== debian/changelog ===
golang-github-golang-geo (0.0~git20170112.0.f819552-1) experimental; urgency=medium

  * Initial release (Closes: #857282)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 09 Mar 2017 15:24:56 +0100
